[Webkit-unassigned] [Bug 172758] [GTK] Enable SUBTLE_CRYPTO in GTK+ releases

bugzilla-daemon at webkit.org bugzilla-daemon at webkit.org
Tue Aug 8 08:36:08 PDT 2017


https://bugs.webkit.org/show_bug.cgi?id=172758

--- Comment #19 from Adrian Perez <aperez at igalia.com> ---
(In reply to Carlos Garcia Campos from comment #17)
> (In reply to Carlos Alberto Lopez Perez from comment #16)
> > (In reply to Michael Catanzaro from comment #15)
> > > We have a distributor that wants to upgrade WebKit but isn't able to upgrade
> > > gcrypt for whatever reason (probably enterprise security policy). They have
> > > gcrypt 1.5.8. And anyway, Ubuntu having only 1.6.5 indicates this really
> > > must have a build flag.
> > 
> > I agree this should have a public build flag.
> > 
> > I wonder if we should enable the flag by default now or not? If we enable
> > it, that will mean the default build configuration won't be build-able on
> > Ubuntu 16.04 anymore.
> > However https://trac.webkit.org/wiki/WebKitGTK/DependenciesPolicy doesn't
> > say anything about the default configuration.
> 
> As long as old distros can just disable it, I don't think we should penalize
> users using newer versions.

I agree with this. Let's use the wording of the policy to the advantage
of our users and have the feature enabled by default.

-- 
You are receiving this mail because:
You are the assignee for the bug.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.webkit.org/pipermail/webkit-unassigned/attachments/20170808/d100124d/attachment.html>


More information about the webkit-unassigned mailing list